<?php

/**
 * DeubertIT Healthchecks
 *
 * LICENSE: Redistribution and use in source and binary forms, with or without
 * modifications, are not permitted.
 *
 * @copyright Deubert IT-Solutions© 2019 All rights reserved
 */

require_once realpath(__DIR__ . '##healthchecks-autoload-path##');

$isCliMode = php_sapi_name() === 'cli';

try
{
    $dir = __DIR__ . '##composer-dir##';
    $result = exec('composer check-platform-reqs -d ' . $dir . ' 2>&1', $output, $returnVar);

    if ($returnVar > 0) {
        throw new ErrorException(implode("\n", $output));
    }

    if (!$isCliMode)
    {
        http_response_code(200);
    }

    echo "OK\n";
}
catch (Exception $e)
{
    if (!$isCliMode)
    {
        http_response_code(503);
        echo "ERROR\n";
    }
    else
    {
        echo $e->getMessage(), "\n";
    }
}
